it.gov.taccuino

## Class ObjectFactory

- java.lang.Object
- - it.gov.taccuino.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the it.gov.taccuino package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: it.gov.taccuino

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattoMedicinaNonConvenzionaleType` | `createContattoMedicinaNonConvenzionaleType()` Create an instance of `ContattoMedicinaNonConvenzionaleType`
    `ContattoStrutturaSanitariaType` | `createContattoStrutturaSanitariaType()` Create an instance of `ContattoStrutturaSanitariaType`
    `DocumentoType` | `createDocumentoType()` Create an instance of `DocumentoType`
    `DocumentoType.ContenutoDocumento` | `createDocumentoTypeContenutoDocumento()` Create an instance of `DocumentoType.ContenutoDocumento`
    `DocumentoType.TipoDocumento` | `createDocumentoTypeTipoDocumento()` Create an instance of `DocumentoType.TipoDocumento`
    `FarmacoType` | `createFarmacoType()` Create an instance of `FarmacoType`
    `RilevazioneType` | `createRilevazioneType()` Create an instance of `RilevazioneType`
    `TaccuinoType` | `createTaccuinoType()` Create an instance of `TaccuinoType`
    `TaccuinoType.ContattiStrutture` | `createTaccuinoTypeContattiStrutture()` Create an instance of `TaccuinoType.ContattiStrutture`
    `TaccuinoType.ContattiStrutture.ContattiMedicinaNonConvenzionale` | `createTaccuinoTypeContattiStruttureContattiMedicinaNonConvenzionale()` Create an instance of `TaccuinoType.ContattiStrutture.ContattiMedicinaNonConvenzionale`
    `TaccuinoType.ContattiStrutture.ContattiStruttureSanitarie` | `createTaccuinoTypeContattiStruttureContattiStruttureSanitarie()` Create an instance of `TaccuinoType.ContattiStrutture.ContattiStruttureSanitarie`
    `TaccuinoType.FarmaciIntegratori` | `createTaccuinoTypeFarmaciIntegratori()` Create an instance of `TaccuinoType.FarmaciIntegratori`
    `TaccuinoType.FarmaciIntegratori.AltriProdotti` | `createTaccuinoTypeFarmaciIntegratoriAltriProdotti()` Create an instance of `TaccuinoType.FarmaciIntegratori.AltriProdotti`
    `TaccuinoType.FarmaciIntegratori.AltriProdotti.AltroProdotto` | `createTaccuinoTypeFarmaciIntegratoriAltriProdottiAltroProdotto()` Create an instance of `TaccuinoType.FarmaciIntegratori.AltriProdotti.AltroProdotto`
    `TaccuinoType.FarmaciIntegratori.Farmaci` | `createTaccuinoTypeFarmaciIntegratoriFarmaci()` Create an instance of `TaccuinoType.FarmaciIntegratori.Farmaci`
    `TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco` | `createTaccuinoTypeFarmaciIntegratoriFarmaciFarmaco()` Create an instance of `TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco`
    `TaccuinoType.OsservazioniPersonali` | `createTaccuinoTypeOsservazioniPersonali()` Create an instance of `TaccuinoType.OsservazioniPersonali`
    `TaccuinoType.OsservazioniPersonali.Eventi` | `createTaccuinoTypeOsservazioniPersonaliEventi()` Create an instance of `TaccuinoType.OsservazioniPersonali.Eventi`
    `TaccuinoType.OsservazioniPersonali.Eventi.Evento` | `createTaccuinoTypeOsservazioniPersonaliEventiEvento()` Create an instance of `TaccuinoType.OsservazioniPersonali.Eventi.Evento`
    `TaccuinoType.OsservazioniPersonali.NoteGenerali` | `createTaccuinoTypeOsservazioniPersonaliNoteGenerali()` Create an instance of `TaccuinoType.OsservazioniPersonali.NoteGenerali`
    `TaccuinoType.OsservazioniPersonali.ParametriOsservabili` | `createTaccuinoTypeOsservazioniPersonaliParametriOsservabili()` Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili`
    `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione` | `createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazione()` Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione`
    `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione` | `createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazioneTipoRilevazione()` Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomi()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiDolori()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDolore()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreAreaInteressata()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreDescrizione()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomi()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomo()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.AreaInteressata` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoAreaInteressata()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.AreaInteressata`
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.Descrizione` | `createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoDescrizione()` Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.Descrizione`
    `TaccuinoType.Paziente` | `createTaccuinoTypePaziente()` Create an instance of `TaccuinoType.Paziente`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: it.gov.taccuino

  - ### Method Detail

    - #### createDocumentoType

          public DocumentoType createDocumentoType()

      Create an instance of `DocumentoType`

    - #### createTaccuinoType

          public TaccuinoType createTaccuinoType()

      Create an instance of `TaccuinoType`

    - #### createTaccuinoTypeFarmaciIntegratori

          public TaccuinoType.FarmaciIntegratori createTaccuinoTypeFarmaciIntegratori()

      Create an instance of `TaccuinoType.FarmaciIntegratori`

    - #### createTaccuinoTypeFarmaciIntegratoriAltriProdotti

          public TaccuinoType.FarmaciIntegratori.AltriProdotti createTaccuinoTypeFarmaciIntegratoriAltriProdotti()

      Create an instance of `TaccuinoType.FarmaciIntegratori.AltriProdotti`

    - #### createTaccuinoTypeFarmaciIntegratoriFarmaci

          public TaccuinoType.FarmaciIntegratori.Farmaci createTaccuinoTypeFarmaciIntegratoriFarmaci()

      Create an instance of `TaccuinoType.FarmaciIntegratori.Farmaci`

    - #### createTaccuinoTypeContattiStrutture

          public TaccuinoType.ContattiStrutture createTaccuinoTypeContattiStrutture()

      Create an instance of `TaccuinoType.ContattiStrutture`

    - #### createTaccuinoTypeOsservazioniPersonali

          public TaccuinoType.OsservazioniPersonali createTaccuinoTypeOsservazioniPersonali()

      Create an instance of `TaccuinoType.OsservazioniPersonali`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomi

          public TaccuinoType.OsservazioniPersonali.SegniSintomi createTaccuinoTypeOsservazioniPersonaliSegniSintomi()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiDolori

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori createTaccuinoTypeOsservazioniPersonaliSegniSintomiDolori()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDolore

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDolore()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomi

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomi()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomo

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomo()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo`

    - #### createTaccuinoTypeOsservazioniPersonaliParametriOsservabili

          public TaccuinoType.OsservazioniPersonali.ParametriOsservabili createTaccuinoTypeOsservazioniPersonaliParametriOsservabili()

      Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili`

    - #### createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazione

          public TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazione()

      Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione`

    - #### createTaccuinoTypeOsservazioniPersonaliEventi

          public TaccuinoType.OsservazioniPersonali.Eventi createTaccuinoTypeOsservazioniPersonaliEventi()

      Create an instance of `TaccuinoType.OsservazioniPersonali.Eventi`

    - #### createRilevazioneType

          public RilevazioneType createRilevazioneType()

      Create an instance of `RilevazioneType`

    - #### createContattoStrutturaSanitariaType

          public ContattoStrutturaSanitariaType createContattoStrutturaSanitariaType()

      Create an instance of `ContattoStrutturaSanitariaType`

    - #### createContattoMedicinaNonConvenzionaleType

          public ContattoMedicinaNonConvenzionaleType createContattoMedicinaNonConvenzionaleType()

      Create an instance of `ContattoMedicinaNonConvenzionaleType`

    - #### createFarmacoType

          public FarmacoType createFarmacoType()

      Create an instance of `FarmacoType`

    - #### createDocumentoTypeTipoDocumento

          public DocumentoType.TipoDocumento createDocumentoTypeTipoDocumento()

      Create an instance of `DocumentoType.TipoDocumento`

    - #### createDocumentoTypeContenutoDocumento

          public DocumentoType.ContenutoDocumento createDocumentoTypeContenutoDocumento()

      Create an instance of `DocumentoType.ContenutoDocumento`

    - #### createTaccuinoTypePaziente

          public TaccuinoType.Paziente createTaccuinoTypePaziente()

      Create an instance of `TaccuinoType.Paziente`

    - #### createTaccuinoTypeFarmaciIntegratoriAltriProdottiAltroProdotto

          public TaccuinoType.FarmaciIntegratori.AltriProdotti.AltroProdotto createTaccuinoTypeFarmaciIntegratoriAltriProdottiAltroProdotto()

      Create an instance of `TaccuinoType.FarmaciIntegratori.AltriProdotti.AltroProdotto`

    - #### createTaccuinoTypeFarmaciIntegratoriFarmaciFarmaco

          public TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco createTaccuinoTypeFarmaciIntegratoriFarmaciFarmaco()

      Create an instance of `TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco`

    - #### createTaccuinoTypeContattiStruttureContattiStruttureSanitarie

          public TaccuinoType.ContattiStrutture.ContattiStruttureSanitarie createTaccuinoTypeContattiStruttureContattiStruttureSanitarie()

      Create an instance of `TaccuinoType.ContattiStrutture.ContattiStruttureSanitarie`

    - #### createTaccuinoTypeContattiStruttureContattiMedicinaNonConvenzionale

          public TaccuinoType.ContattiStrutture.ContattiMedicinaNonConvenzionale createTaccuinoTypeContattiStruttureContattiMedicinaNonConvenzionale()

      Create an instance of `TaccuinoType.ContattiStrutture.ContattiMedicinaNonConvenzionale`

    - #### createTaccuinoTypeOsservazioniPersonaliNoteGenerali

          public TaccuinoType.OsservazioniPersonali.NoteGenerali createTaccuinoTypeOsservazioniPersonaliNoteGenerali()

      Create an instance of `TaccuinoType.OsservazioniPersonali.NoteGenerali`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreAreaInteressata

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreAreaInteressata()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreDescrizione

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione createTaccuinoTypeOsservazioniPersonaliSegniSintomiDoloriDoloreDescrizione()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoAreaInteressata

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.AreaInteressata createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoAreaInteressata()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.AreaInteressata`

    - #### createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoDescrizione

          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.Descrizione createTaccuinoTypeOsservazioniPersonaliSegniSintomiSintomiSintomoDescrizione()

      Create an instance of `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi.Sintomo.Descrizione`

    - #### createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazioneTipoRilevazione

          public TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione createTaccuinoTypeOsservazioniPersonaliParametriOsservabiliRilevazioneTipoRilevazione()

      Create an instance of `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione`

    - #### createTaccuinoTypeOsservazioniPersonaliEventiEvento

          public TaccuinoType.OsservazioniPersonali.Eventi.Evento createTaccuinoTypeOsservazioniPersonaliEventiEvento()

      Create an instance of `TaccuinoType.OsservazioniPersonali.Eventi.Evento`

Copyright © 2024. All rights reserved.